> ## Documentation Index
> Fetch the complete documentation index at: https://docs.old.palomma.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Payout Request



## OpenAPI

````yaml POST /payoutRequests
openapi: 3.0.0
info:
  title: Palomma API
  description: This API includes functionality of the Palomma API.
  version: 1.0.0
servers:
  - url: https://api.palomma.com/v0
    description: Production server
  - url: https://sandbox.api.palomma.com/v0
    description: Sandbox server
security:
  - BearerAuth: []
paths:
  /payoutRequests:
    post:
      tags:
        - Payout Requests
      summary: Creates a new Payout Request
      operationId: createPayoutRequest
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - payoutTargetId
                - amount
              properties:
                reference:
                  type: string
                  description: Reference sent in by merchant to identify Payout Request.
                payoutTargetId:
                  type: string
                  description: Payout Target to send money to.
                amount:
                  type: number
                  description: >-
                    Amount to be sent in COP. Must be greater than $1.000. The
                    maxiumum is configured per merchant but defaults to
                    $5.000.000. Contact us if you need to increase this limit.
                sourceMerchantAccountId:
                  description: >-
                    An optional account ID of the source merchant account for
                    this Payout Request.
                  type: string
      responses:
        '200':
          description: Payout Request created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayoutRequest'
        '400':
          description: Bad Request - Invalid input provided
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: Description of the error due to bad request.
        '401':
          description: >-
            Unauthorized - Authentication credentials were not provided or are
            invalid
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: Description of the error due to unauthorized access.
        '500':
          description: Internal Server Error - An error occurred on the server
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: Description of the internal server error.
components:
  schemas:
    PayoutRequest:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for this Payout Request.
          example: 01HPR8QBF5QKA313RPBSKYB7DS
        reference:
          type: string
          description: Reference sent in by merchant to identify Payout Request.
        customerId:
          type: string
          description: >-
            Reference to customer who owns the Payout Target for which the
            Payout Request was created.
          example: 01HPR57X6QR5ZRKEEKBSDBW4RA
        customerDetails:
          $ref: '#/components/schemas/CustomerDetails'
          description: >-
            Details about the customer who owns the Payout Target for which the
            Payout Request was created.
        payoutTargetId:
          type: string
          description: >-
            Reference to the Payout Target for which the Payout Request was
            created.
          example: 01HPR8S7YF43PV3QV16TZDC80P
        payoutTargetDetails:
          $ref: '#/components/schemas/PayoutTargetDetails'
          description: >-
            Details about the Payout Target for which the Payout Request was
            created.
        status:
          type: string
          enum:
            - processing
            - approved
            - cancelled
          description: Status of the Payout Request.
        statusMessage:
          $ref: '#/components/schemas/StatusMessage'
        amount:
          type: number
          description: Amount to send to the customer’s Payout Target.
          example: 100000
        amountSent:
          type: number
          description: >-
            Amount sent by Payout Request. Starts at amount and changes to 0 if
            cancelled.
          example: 100000
        fee:
          type: number
          description: >-
            Fee charged for the transaction. This fee will be subtracted from
            amountCollected at settlement time.
          example: 500
        sourceMerchantAccountId:
          type: string
          description: >-
            Reference to Merchant Account. Safe to ignore if Merchant Accounts
            are not being used.
        createdAt:
          type: string
          format: date-time
          description: ISO string indicating when the Payout Request was created.
        updatedAt:
          type: string
          format: date-time
          description: ISO string indicating when the Payout Request was last updated.
    CustomerDetails:
      type: object
      properties:
        reference:
          type: string
          description: >-
            An optional reference provided by the merchant to identify the
            customer.
        name:
          type: string
          description: >-
            First and last name for a natural person, and company name for a
            juridical person.
          example: Pepito Perez
        documentType:
          type: string
          description: Colombian ID type for customer.
          enum:
            - cc
            - ce
            - nit
        documentNumber:
          type: string
          description: Colombian ID number for customer.
          example: '1037551022'
        email:
          type: string
          description: Customer’s email.
          format: email
          example: pepito@gmail.com
        phoneNumber:
          type: string
          description: Customer’s phone number.
          example: '3013111111'
    PayoutTargetDetails:
      type: object
      properties:
        reference:
          type: string
          description: Reference sent in by merchant to identify Payout Target.
        description:
          type: string
          description: An extra metadata field that can be included for visibility.
        type:
          type: string
          enum:
            - bankAccount
          description: Type of Payout Target created.
    StatusMessage:
      type: string
      description: >-
        Additional detail on the status. Only present when status is
        "cancelled".
      enum:
        - AUTHENTICATION_FAILED
        - CUSTOMER_CANCELLATION
        - DECLINED_BY_BANK
        - EXPIRED
        - INVALID_ACCOUNT
        - NOT_ENOUGH_FUNDS
        - ERROR
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````